<ng-template #component>
    
  <div class="card border-0">
      <div class="card-header bg-dark text-white border-bottom border-info">
          <span class="font-weight-medium ml-2" style="line-height: 24px;">
              <i class="mdi mdi-account-edit"></i>
              Programar Visita
          </span>
          <button class="btn btn-icon btn-danger btn-sm float-right" placement="bottom"
              ngbTooltip="Salir" (click)="close()">
              <i class="mdi mdi-close mdi-bold"></i>
          </button>
      </div>
      <div class="card-body">
        <div class="row">
          <div class="col-11">
            <p class="font-sm text-muted">
              Lorem ipsum dolor sit, amet consectetur adipisicing elit. Accusamus doloribus facilis vitae ducimus fugiat eum dolor placeat blanditiis veniam tenetur!
            </p>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12" input-wrapper label="Nombre">
            <input type="text" class="form-control" name="nombre" [(ngModel)]="service.model.VisitanteNombre"
              readonly>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12" [input-wrapper]="fecha" label="Fecha y Hora">
            <input type="datetime-local" name="fecha" class="form-control" [(ngModel)]="service.model.DarEntrada"
              #fecha="ngModel" ngbAutofocus autocomplete="off" required>
          </div>
        </div>
        <div class="row">
          <div class="col-4 mx-auto">
            <button class="btn btn-block btn-info btn-block" [disabled]="fecha.invalid || (service.loading | async) == true"
              (click)="save()">
              <span class="spinner-border spinner-border-sm text-white" *ngIf="(service.loading | async) == true"></span>
              Guardar
            </button>
          </div>
        </div>
      </div>
  </div>
  
  </ng-template>